/**
 *
 */
package de.intevation.gnv.transition;
/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DefaultInputValue implements InputValue {

    private String name = null;
    private String type = null;
    
    
    /**
     * Constructor
     */
    public DefaultInputValue(String name, String type){
        this.name = name;
        this.type = type;
    }

    /**
     * @see de.intevation.gnv.transition.InputValue#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.transition.InputValue#getType()
     */
    public String getType() {
        return this.type;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "InputValue "+name+" ==> "+type;
    }

}
